from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, File, String

Exclude_Uid_Lists_V0_1_0 = CommandToolBuilder(tool="exclude_uid_lists", base_command=["exclude-uid-lists"], inputs=[ToolInput(tag="in_ignore_leading_blanks", input_type=Boolean(optional=True), prefix="-b", doc=InputDocumentation(doc="Ignore leading blanks")), ToolInput(tag="in_check_input_sorted", input_type=Boolean(optional=True), prefix="-c", doc=InputDocumentation(doc="Check whether input is sorted")), ToolInput(tag="in_dictionary_order_blank", input_type=Boolean(optional=True), prefix="-d", doc=InputDocumentation(doc="Dictionary order (blank or alphanumeric only)")), ToolInput(tag="in_ignore_case", input_type=Boolean(optional=True), prefix="-f", doc=InputDocumentation(doc="Ignore case")), ToolInput(tag="in_general_numerical_sort", input_type=Boolean(optional=True), prefix="-g", doc=InputDocumentation(doc="General numerical sort")), ToolInput(tag="in_ignore_unprintable_characters", input_type=Boolean(optional=True), prefix="-i", doc=InputDocumentation(doc="Ignore unprintable characters")), ToolInput(tag="in_sort_key", input_type=Boolean(optional=True), prefix="-k", doc=InputDocumentation(doc="Sort key")), ToolInput(tag="in_sort_month", input_type=Boolean(optional=True), prefix="-M", doc=InputDocumentation(doc="Sort month")), ToolInput(tag="in_sort_numbers", input_type=Boolean(optional=True), prefix="-n", doc=InputDocumentation(doc="Sort numbers")), ToolInput(tag="in_output_to_file", input_type=File(optional=True), prefix="-o", doc=InputDocumentation(doc="Output to file")), ToolInput(tag="in_key_separator", input_type=String(optional=True), prefix="-t", doc=InputDocumentation(doc="Key separator")), ToolInput(tag="in_reverse_sort_order", input_type=Boolean(optional=True), prefix="-r", doc=InputDocumentation(doc="Reverse sort order")), ToolInput(tag="in_stable_sort_ties", input_type=Boolean(optional=True), prefix="-s", doc=InputDocumentation(doc="Stable (don't sort ties alphabetically)")), ToolInput(tag="in_suppress_duplicate_lines", input_type=Boolean(optional=True), prefix="-u", doc=InputDocumentation(doc="Suppress duplicate lines")), ToolInput(tag="in_lines_terminated_newline", input_type=Boolean(optional=True), prefix="-z", doc=InputDocumentation(doc="Lines are terminated by NUL, not newline")), ToolInput(tag="in_mst", input_type=Boolean(optional=True), prefix="-mST", doc=InputDocumentation(doc="Ignored for GNU compatibility")), ToolInput(tag="in_nrugmcszbdfimstokt", input_type=Boolean(optional=True), prefix="-nrugMcszbdfimSTokt", doc=InputDocumentation(doc="")), ToolInput(tag="in_sort", input_type=String(), position=0, doc=InputDocumentation(doc=""))], outputs=[ToolOutput(tag="out_output_to_file", output_type=File(optional=True), selector=InputSelector(input_to_select="in_output_to_file", type_hint=File()), doc=OutputDocumentation(doc="Output to file"))], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Exclude_Uid_Lists_V0_1_0().translate("wdl", allow_empty_container=True)

